## pyside-mobility 0.2.3+git4~8118106

=== CMakeLists.txt ===
include(icecc.cmake) # this must be the first line!

project(pysidemobility)

cmake_minimum_required(VERSION 2.6)
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/Modules/
                      ${CMAKE_MODULE_PATH})
find_package(PythonLibs REQUIRED)
find_package(PythonInterpWithDebug REQUIRED)
find_package(Shiboken 1.1.0 REQUIRED)
find_package(PySide 1.1.0 REQUIRED)
find_package(Qt4 4.6.2 REQUIRED)
SET(SUPPORTED_QT_VERSION "4.6.0")
find_package(QtMobility 1.0.0 REQUIRED )


if(CMAKE_HOST_UNIX)
    option(ENABLE_GCC_OPTIMIZATION "Enable specific GCC flags to optimization library size and performance. Only available on Release Mode" 0)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -fvisibility=hidden -Wno-strict-aliasing")
    set(CMAKE_CXX_FLAGS_DEBUG "-g")
    if(ENABLE_GCC_OPTIMIZATION)
        set(CMAKE_BUILD_TYPE Release)
        set(CMAKE_CXX_FLAGS_RELEASE "-DNDEBUG -Os -Wl,-O1")
        if(NOT CMAKE_HOST_APPLE)
            set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wl,--hash-style=gnu")
        endif()
    endif()

    if(CMAKE_HOST_APPLE)
        if (NOT QT_INCLUDE_DIR)
            set(QT_INCLUDE_DIR "/Library/Frameworks")
         endif()
    endif()
endif()

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release)
endif()

set(BINDING_NAME QtMobility)
set(BINDING_API_MAJOR_VERSION "0")
set(BINDING_API_MINOR_VERSION "2")
set(BINDING_API_MICRO_VERSION "3")
set(BINDING_API_VERSION "${BINDING_API_MAJOR_VERSION}.${BINDING_API_MINOR_VERSION}.${BINDING_API_MICRO_VERSION}")

set(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)" )
set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" CACHE PATH "The subdirectory relative to the install prefix where libraries will be installed (default is /lib${LIB_SUFFIX})" FORCE)

include(${QT_USE_FILE})

set(BINDING_VERSION ${BINDING_API_VERSION})
find_program(GENERATOR generatorrunner REQUIRED)

if (NOT GENERATOR)
    message(FATAL_ERROR "You need to specify GENERATOR variable (-DGENERATOR=value)")
endif()

# uninstall target
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
               IMMEDIATE @ONLY)
add_custom_target(uninstall "${CMAKE_COMMAND}"
                  -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")


set(ARCHIVE_NAME pyside-mobility-${BINDING_API_VERSION})
add_custom_target(dist
    COMMAND mkdir -p "${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}" &&
            git log > "${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}/ChangeLog" &&
            git archive --prefix=${ARCHIVE_NAME}/ HEAD --format=tar --output="${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar" &&
            tar -C "${CMAKE_BINARY_DIR}" --owner=root --group=root -r "${ARCHIVE_NAME}/ChangeLog" -f "${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar" &&
            bzip2 -f9 "${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar" &&
            echo "Source package created at ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2.\n"
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

execute_process(
    COMMAND ${PYTHON_EXECUTABLE} -c "from distutils import sysconfig; \\
        print sysconfig.get_python_lib(1,0,prefix='${CMAKE_INSTALL_PREFIX}')"
    OUTPUT_VARIABLE SITE_PACKAGE
    OUTPUT_STRIP_TRAILING_WHITESPACE)
if (NOT SITE_PACKAGE)
    message(FATAL_ERROR "Could not detect Python module installation directory.")
endif()

# Detect if the python libs were compiled in debug mode
execute_process(
    COMMAND ${PYTHON_EXECUTABLE} -c "from distutils import sysconfig; \\
        print sysconfig.get_config_var('Py_DEBUG')"
    OUTPUT_VARIABLE PY_DEBUG
    OUTPUT_STRIP_TRAILING_WHITESPACE)

if(CMAKE_BUILD_TYPE STREQUAL "Debug")
    if(NOT PYTHON_DEBUG_LIBRARIES)
        message(FATAL_ERROR "Python debug library not found. Try compile PySide with -DCMAKE_BUILD_TYPE=Release")
    endif()
    if(NOT PY_DEBUG)
        message(WARNING "Compiling PySide with debug enabled, but the python executable was not compiled with debug support.")
    else()
        add_definitions("-DPy_DEBUG")
    endif()
    set(PYSIDE_PYTHON_LIBRARIES ${PYTHON_DEBUG_LIBRARIES})
else()
    set(PYSIDE_PYTHON_LIBRARIES ${PYTHON_LIBRARIES})
endif()

set(GENERATOR_EXTRA_FLAGS --generatorSet=shiboken --enable-parent-ctor-heuristic --enable-pyside-extensions --enable-return-value-heuristic)
if(WIN32 OR DEFINED AVOID_PROTECTED_HACK)
    message(STATUS "PySide-Mobility will be generated avoiding the protected hack!")
    set(GENERATOR_EXTRA_FLAGS ${GENERATOR_EXTRA_FLAGS} --avoid-protected-hack)
    add_definitions(-DAVOID_PROTECTED_HACK)
else()
    message(STATUS "PySide-Mobility will be generated using the protected hack!")
endif()

enable_testing()

add_subdirectory(${BINDING_NAME})
add_subdirectory(doc)
add_subdirectory(tests)

=== QtMobility/CMakeLists.txt ===
project(mobility)

install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/__init__.py"
        DESTINATION "${SITE_PACKAGE}/${BINDING_NAME}")

link_directories(${QT_MOBILITY_LIBRARY_DIR})

# Old macro without support for custom typesystem paths and guesses the
# typesystem from the module name.
macro(CREATE_PYSIDE_MODULE MODULE_NAME MODULE_INCLUDE_DIR SRCS INC_DIRS LINK_LIBS)
    STRING(TOLOWER ${MODULE_NAME} LOWER_MODULE_NAME)
    CREATE_PYSIDE_MODULE_WITH_TYPESYSTEM(${MODULE_NAME}
                                         ${MODULE_INCLUDE_DIR}
                                         ${SRCS}
                                         ${INC_DIRS}
                                         ${LINK_LIBS}
                                         ""
                                         ${CMAKE_CURRENT_SOURCE_DIR}/typesystem_${LOWER_MODULE_NAME}.xml)
endmacro(CREATE_PYSIDE_MODULE)

# New macro that accepts the typesystem and typesystem paths explicitly
macro(CREATE_PYSIDE_MODULE_WITH_TYPESYSTEM MODULE_NAME MODULE_INCLUDE_DIR SRCS INC_DIRS LINK_LIBS TYPESYSTEM_PATHS TYPESYSTEM)
    STRING(TOLOWER ${MODULE_NAME} LOWER_MODULE_NAME)
    STRING(TOLOWER ${BINDING_NAME} LOWER_BINDING_NAME)
    include_directories(${MODULE_NAME} ${${INC_DIRS}})
    add_library(${MODULE_NAME} MODULE ${${SRCS}})
    set_property(TARGET ${MODULE_NAME} PROPERTY PREFIX "")
    target_link_libraries(${MODULE_NAME} ${${LINK_LIBS}})

    add_custom_command(OUTPUT ${${SRCS}}
                        COMMAND ${GENERATOR} ${GENERATOR_EXTRA_FLAGS}
                        ${CMAKE_SOURCE_DIR}/${BINDING_NAME}/global.h
                        --include-paths=${MODULE_INCLUDE_DIR}:${QT_MOBILITY_INCLUDE_DIR}:${QT_MOBILITY_PARENT_INCLUDE_DIR}:${QT_INCLUDE_DIR}
                        --typesystem-paths=${${TYPESYSTEM_PATHS}}:${PYSIDE_TYPESYSTEMS}
                        --output-directory=${CMAKE_CURRENT_BINARY_DIR}
                        --license-file=${CMAKE_CURRENT_SOURCE_DIR}/../licensecomment.txt
                        ${TYPESYSTEM}
                        --api-version="QtMobility*,${QT_MOBILITY_MAJOR_VERSION}.${QT_MOBILITY_MINOR_VERSION}|PySide*,${QT_VERSION_MAJOR}.${QT_VERSION_MINOR}"
                        WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
                        COMMENT "Running generator for ${MODULE_NAME}..."
                       )

    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${MODULE_NAME}${CMAKE_DEBUG_POSTFIX}.so DESTINATION "${SITE_PACKAGE}/${BINDING_NAME}")
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/${MODULE_NAME}/${LOWER_BINDING_NAME}_${LOWER_MODULE_NAME}_python.h
            DESTINATION include/Py${BINDING_NAME}/${MODULE_NAME}/)

    execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink "${CMAKE_CURRENT_BINARY_DIR}/${MODULE_NAME}${CMAKE_DEBUG_POSTFIX}${CMAKE_SHARED_MODULE_SUFFIX}"
                                                               "${CMAKE_BINARY_DIR}/${BINDING_NAME}/${MODULE_NAME}${CMAKE_SHARED_MODULE_SUFFIX}")
endmacro(CREATE_PYSIDE_MODULE_WITH_TYPESYSTEM)


execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink "${CMAKE_CURRENT_SOURCE_DIR}/__init__.py"
                                                           "${CMAKE_BINARY_DIR}/${BINDING_NAME}/__init__.py")

macro(add_if_found component)
    STRING(TOUPPER ${component} _COMPONENT)
    IF(${QT_MOBILITY_${_COMPONENT}_FOUND})
        message("Module ${component} found.")
        add_subdirectory(${component})
    ELSE()
        message("Module ${component} not found. ${component} support disabled.")
    ENDIF()
endmacro()

IF(${QTVERSION} VERSION_LESS 4.7.0)
    add_if_found(Bearer)
ENDIF()

add_if_found(Contacts)
add_if_found(Connectivity)
add_if_found(Feedback)
add_if_found(Gallery)
add_if_found(Location)
add_if_found(Messaging)
add_if_found(MultimediaKit)
add_if_found(Organizer)
add_if_found(PublishSubscribe)
add_if_found(Sensors)
add_if_found(ServiceFramework)
add_if_found(SystemInfo)
add_if_found(Versit)

=== tests/CMakeLists.txt ===
set(QTMOBILITY_TIMEOUT 10)

macro(QTMOBILITY_TEST)
    string(REGEX MATCH "/([^/]+)//?([^/]+)\\.py" foo "${CMAKE_CURRENT_SOURCE_DIR}/${ARGV0}" )
    set(TEST_NAME "${CMAKE_MATCH_1}_${CMAKE_MATCH_2}")
    if (${ARGC} EQUAL 1)
        set(EXPECT_TO_FAIL 0)
    elseif(${ARGC} EQUAL 2)
        set(EXPECT_TO_FAIL ${ARGV1})
    else()
        message(WARNING "Ivalid call of macro QTMOBILITY_TEST")
    endif()
    set(TEST_CMD ${CMAKE_SOURCE_DIR}/tests/run_test.sh  "${CMAKE_BINARY_DIR}:${CMAKE_SOURCE_DIR}/tests/util" ${SHIBOKEN_PYTHON_INTERPRETER} "${CMAKE_CURRENT_SOURCE_DIR}/${ARGV0}")
    add_test(${TEST_NAME} ${TEST_CMD})
    set_tests_properties(${TEST_NAME} PROPERTIES
                         TIMEOUT ${QTMOBILITY_TIMEOUT}
                         WILL_FAIL ${EXPECT_TO_FAIL})
endmacro(QTMOBILITY_TEST)

macro(add_if_found component)
    STRING(TOUPPER ${component} _COMPONENT)
    IF(${QT_MOBILITY_${_COMPONENT}_FOUND})
        message("Adding tests for ${component}.")
        add_subdirectory(${component})
        if(INSTALL_TESTS)
            install(DIRECTORY ${component} DESTINATION "${TEST_INSTALL_DIR}" FILES_MATCHING PATTERN "*.py")
        endif()
    ELSE()
        message("Module ${component} not found. ${component} tests disabled.")
    ENDIF()
endmacro()

if (NOT TEST_INSTALL_DIR)
    set(TEST_INSTALL_DIR "share/pyside-mobility/tests")
endif()

if(CMAKE_VERSION VERSION_LESS 2.8)
    # Versions lesser than 2.8 can not set environment variables for tests.
    message("CMake version greater than 2.8 necessary to run the tests.")
else()
    add_if_found(Contacts)
    add_if_found(Feedback)
    add_if_found(Gallery)
    add_if_found(Messaging)
    add_if_found(Location)
    add_if_found(MultimediaKit)
    add_if_found(Organizer)
    add_if_found(PublishSubscribe)
    add_if_found(Sensors)
    add_if_found(ServiceFramework)
    add_if_found(SystemInfo)
    add_if_found(Versit)
endif()

if(INSTALL_TESTS)
    install(DIRECTORY util/ DESTINATION "${SITE_PACKAGE}" FILES_MATCHING PATTERN "*.py")
endif()

=== QtMobility/Organizer/CMakeLists.txt ===
project(Organizer)

if(${QT_MOBILITY_MAJOR_VERSION} EQUAL 1 AND ${QT_MOBILITY_MINOR_VERSION} LESS 2)
    set(Organizer_12_SRC )
else()
    set(Organizer_12_SRC
        ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizercollectionfetchrequest_wrapper.cpp
        ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemfetchbyidrequest_wrapper.cpp
        ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemcollectionfilter_wrapper.cpp
        ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizercollectionid_wrapper.cpp
        ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemobserver_wrapper.cpp
        ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizermanagerenginev2_wrapper.cpp
        ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizercollectionremoverequest_wrapper.cpp
        ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizercollectionsaverequest_wrapper.cpp
    )
endif()

set(Organizer_SRC
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizerabstractrequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizercollectionchangeset_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizercollectionengineid_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizercollection_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizereventoccurrence_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizereventtime_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizerevent_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemaudiblereminder_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemchangelogfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemchangeset_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemcomment_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemdescription_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemdetaildefinitionfetchrequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemdetaildefinitionremoverequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemdetaildefinitionsaverequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemdetaildefinition_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemdetailfielddefinition_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemdetailfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemdetailrangefilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemdetail_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemdisplaylabel_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritememailreminder_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemengineid_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemfetchforexportrequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemfetchhint_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemfetchrequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemguid_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemidfetchrequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemidfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemid_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemintersectionfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeriteminvalidfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemlocation_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemoccurrencefetchrequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemparent_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritempriority_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemrecurrence_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemreminder_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemremoverequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemsaverequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemsortorder_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemtag_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemtimestamp_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemtype_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemunionfilter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritemvisualreminder_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizeritem_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizerjournaltime_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizerjournal_wrapper.cpp
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizermanagerenginefactory_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizermanagerengine_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizermanager_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizernote_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizerrecurrencerule_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizertodooccurrence_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizertodoprogress_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizertodotime_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/qtmobility_qorganizertodo_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer/organizer_module_wrapper.cpp
${Organizer_12_SRC}
)

set(Organizer_INCLUDE_DIRECTORIES
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Organizer
${SHIBOKEN_INCLUDE_DIR}
${PYTHON_INCLUDE_PATH}
${PYSIDE_INCLUDE_DIR}
${PYSIDE_INCLUDE_DIR}/QtCore
${QT_INCLUDE_DIR}
${QT_QTCORE_INCLUDE_DIR}
${QT_MOBILITY_INCLUDE_DIR}
${QT_MOBILITY_PARENT_INCLUDE_DIR}
${QT_MOBILITY_ORGANIZER_INCLUDE_DIR}
)

set(Organizer_LINK_LIBRARIES
${PYTHON_LIBRARIES}
${SHIBOKEN_LIBRARY}
${PYSIDE_LIBRARY}
${QT_QTCORE_LIBRARY}
${QT_MOBILITY_ORGANIZER_LIBRARY}
)

CREATE_PYSIDE_MODULE(Organizer
                     ${QT_MOBILITY_ORGANIZER_INCLUDE_DIR}
                     Organizer_SRC
                     Organizer_INCLUDE_DIRECTORIES
                     Organizer_LINK_LIBRARIES)

=== QtMobility/Versit/CMakeLists.txt ===
project(Versit)

if(${QT_MOBILITY_VERSITORGANIZER_FOUND})
    set(VersitOrganizer_SRC
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/qtmobility_qversitorganizerexporter_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/qtmobility_qversitorganizerexporterdetailhandler_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/qtmobility_qversitorganizerhandler_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/qtmobility_qversitorganizerhandlerfactory_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/qtmobility_qversitorganizerimporter_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/qtmobility_qversitorganizerimporterpropertyhandler_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/versit_module_wrapper.cpp
    )
    message("Module Versit - QtVersitOrganizer extensions enabled.")
else()
    message("Module Versit - QtVersitOrganizer extensions disabled.")
    set(VersitOrganizer_SRC )
endif()

if(${QT_MOBILITY_MAJOR_VERSION} EQUAL 1 AND ${QT_MOBILITY_MINOR_VERSION} LESS 2)
    set(Versit_12_SRC )
else()
    set(Versit_12_SRC
        ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/qtmobility_qversittimezonehandler_wrapper.cpp
    )
endif()


if(${QT_MOBILITY_MAJOR_VERSION} EQUAL 1 AND ${QT_MOBILITY_MINOR_VERSION} LESS 1)
    set(Versit_11_SRC )
else()
    set(Versit_11_SRC
        ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/qtmobility_qversitcontactexporterdetailhandlerv2_wrapper.cpp
        ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/qtmobility_qversitcontactimporterpropertyhandlerv2_wrapper.cpp
        ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/qtmobility_qversitcontacthandler_wrapper.cpp
        ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/qtmobility_qversitcontacthandlerfactory_wrapper.cpp
        ${Versit_12_SRC}
    )
endif()

set(Versit_SRC
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/qtmobility_qversitcontactexporter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/qtmobility_qversitcontactexporterdetailhandler_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/qtmobility_qversitcontactimporter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/qtmobility_qversitcontactimporterpropertyhandler_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/qtmobility_qversitdefaultresourcehandler_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/qtmobility_qversitdocument_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/qtmobility_qversitproperty_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/qtmobility_qversitreader_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/qtmobility_qversitresourcehandler_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/qtmobility_qversitwriter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit/versit_module_wrapper.cpp
${Versit_11_SRC}
${VersitOrganizer_SRC}
)

set(Versit_INCLUDE_DIRECTORIES
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Versit
${Contacts_BINARY_DIR}/${BINDING_NAME}/Contacts/
${Organizer_BINARY_DIR}/${BINDING_NAME}/Organizer/
${SHIBOKEN_INCLUDE_DIR}
${PYTHON_INCLUDE_PATH}
${PYSIDE_INCLUDE_DIR}
${PYSIDE_INCLUDE_DIR}/QtCore
${PYSIDE_INCLUDE_DIR}/QtGui
${QT_INCLUDE_DIR}
${QT_QTCORE_INCLUDE_DIR}
${QT_MOBILITY_INCLUDE_DIR}
${QT_MOBILITY_PARENT_INCLUDE_DIR}
${QT_MOBILITY_CONTACTS_INCLUDE_DIR}
${QT_MOBILITY_ORGANIZER_INCLUDE_DIR}
${QT_MOBILITY_VERSIT_INCLUDE_DIR}
${QT_MOBILITY_VERSITORGANIZER_INCLUDE_DIR}
)

set(Versit_LINK_LIBRARIES
${PYTHON_LIBRARIES}
${SHIBOKEN_LIBRARY}
${PYSIDE_LIBRARY}
${QT_QTCORE_LIBRARY}
${QT_MOBILITY_CONTACTS_LIBRARY}
${QT_MOBILITY_ORGANIZER_LIBRARY}
${QT_MOBILITY_VERSIT_LIBRARY}
${QT_MOBILITY_VERSITORGANIZER_LIBRARY}
)
set(Versit_TYPESYSTEM_PATHS "${Versit_SOURCE_DIR}:${Contacts_SOURCE_DIR}")
set(Versit_TYPESYSTEM "${Versit_SOURCE_DIR}/typesystem_versit.xml")

if(${QT_MOBILITY_VERSITORGANIZER_FOUND})
    set(Versit_TYPESYSTEM_PATHS "${Versit_TYPESYSTEM_PATHS}:${Organizer_SOURCE_DIR}")
    set(Versit_TYPESYSTEM "${Versit_SOURCE_DIR}/typesystem_versitorganizer.xml")
endif()


CREATE_PYSIDE_MODULE_WITH_TYPESYSTEM(Versit
                     ${QT_MOBILITY_VERSIT_INCLUDE_DIR}:${QT_MOBILITY_CONTACTS_INCLUDE_DIR}:${QT_MOBILITY_ORGANIZER_INCLUDE_DIR}:${QT_MOBILITY_VERSITORGANIZER_INCLUDE_DIR}
                     Versit_SRC
                     Versit_INCLUDE_DIRECTORIES
                     Versit_LINK_LIBRARIES
                     Versit_TYPESYSTEM_PATHS
                     ${Versit_TYPESYSTEM})

add_dependencies(Versit Contacts Organizer)

=== tests/Feedback/CMakeLists.txt ===
QTMOBILITY_TEST(feedback_test.py)
QTMOBILITY_TEST(qfeedbackactuator_operator_test.py)

=== tests/Location/CMakeLists.txt ===
QTMOBILITY_TEST(location_test.py)
QTMOBILITY_TEST(bug_818_test.py)

if(INSTALL_TESTS)
    install(FILES simplelog.txt DESTINATION ${TEST_INSTALL_DIR}/Location)
endif()

=== tests/MultimediaKit/CMakeLists.txt ===
QTMOBILITY_TEST(mediacontent_test.py)

=== tests/SystemInfo/CMakeLists.txt ===
QTMOBILITY_TEST(sysinfo_test.py)

=== tests/Versit/CMakeLists.txt ===
QTMOBILITY_TEST(qversitreaderwriter_test.py)

=== debian/changelog ===
pyside-mobility (0.2.3+git4~8118106-2) unstable; urgency=low

  * Bump B-Ds: on shiboken and pyside to 1.1.0.
  * Add new PythonInterp version constraints to cmake. (Closes: #662929)
  * Bump Standards-Version to 3.9.3 without changes needed.
  * Make the dependency between -dev and -common explicit for the doc/
    symlink.

 -- Didier Raboud <odyx@debian.org>  Sat, 17 Mar 2012 12:18:28 +0100

pyside-mobility (0.2.3+git4~8118106-1) unstable; urgency=low

  * New upstream git snapshot, builds against pyside 1.1.0.

 -- Didier Raboud <odyx@debian.org>  Mon, 09 Jan 2012 15:37:35 +0100

=== debian/control ===
Source: pyside-mobility
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Didier Raboud <odyx@debian.org>
Build-Depends: debhelper (>= 8.9.0~), cmake (>= 2.8.7-4~), dpkg-dev (>= 1.15.6),
 python-all-dev (>= 2.6.6-3~),
 libqt4-dev (>= 4:4.7.0), libphonon-dev, qtmobility-dev (>= 1.0.0),
 libpyside-dev (>= 1.1.0), shiboken (>= 1.1.0), libshiboken-dev (>= 1.1.0),
 python-pyside.qtcore (>= 1.1.0),
 python-pyside.qtgui, python-pyside.qtnetwork,
 xvfb, xauth,
# Various Build-Depends are needed for success of the testsuite:
# python-pyside.qtcore, python-pyside.qtgui. xvfb, xauth
Standards-Version: 3.9.3.0
X-Python-Version: >= 2.6
Vcs-Svn: svn://svn.debian.org/python-modules/packages/pyside-mobility/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pyside-mobility/trunk/
Homepage: http://www.pyside.org/

Package: python-qtmobility
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},
 python-qtmobility.connectivity (>= ${binary:Version}),
 python-qtmobility.contacts (>= ${binary:Version}),
 python-qtmobility.feedback (>= ${binary:Version}),
 python-qtmobility.gallery (>= ${binary:Version}),
 python-qtmobility.location (>= ${binary:Version}),
 python-qtmobility.messaging (>= ${binary:Version}),
 python-qtmobility.multimediakit (>= ${binary:Version}),
 python-qtmobility.organizer (>= ${binary:Version}),
 python-qtmobility.publishsubscribe (>= ${binary:Version}),
 python-qtmobility.sensors (>= ${binary:Version}),
 python-qtmobility.serviceframework (>= ${binary:Version}),
 python-qtmobility.systeminfo (>= ${binary:Version}),
 python-qtmobility.versit (>= ${binary:Version})
Description: Python bindings for Qt4 Mobility (big metapackage)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Python bindings for Qt4 framework. This is a metapackage for all modules.

Package: python-qtmobility-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-pyside.qtcore (>= 1.1.0), python-pyside.qtgui (>= 1.1.0)
Recommends: python-qtmobility.location (= ${binary:Version}),
 python-qtmobility.sensors (= ${binary:Version})
Description: Python bindings for Qt4 Mobility (common files)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Python bindings for Qt4 framework. This contains the common files.

Package: python-qtmobility-dev
Architecture: any
Priority: extra
Section: libdevel
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-qtmobility-common (= ${binary:Version}),
 libqt4-dev (>= 4.6.2) , libphonon-dev, qtmobility-dev (>= 1.0.0),
 libpyside-dev (>= 1.1.0), libshiboken-dev (>= 1.1.0)
Provides: ${python:Provides}
Description: Python bindings for Qt4 Mobility (devel files)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the development files.

Package: python-qtmobility.connectivity
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-qtmobility-common (= ${binary:Version})
Provides: ${python:Provides}
Description: Qt4 Mobility Connectivity - Python bindings 
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the
 QtMobility.Connectivity module.

Package: python-qtmobility.contacts
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-qtmobility-common (= ${binary:Version})
Provides: ${python:Provides}
Description: Qt4 Mobility Contacts - Python bindings 
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the
 QtMobility.Contacts module.

Package: python-qtmobility.feedback
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-qtmobility-common (= ${binary:Version})
Provides: ${python:Provides}
Description: Qt4 Mobility Feedback - Python bindings 
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the
 QtMobility.Feedback module.

Package: python-qtmobility.gallery
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-qtmobility-common (= ${binary:Version})
Provides: ${python:Provides}
Description: Qt4 Mobility Gallery - Python bindings 
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the
 QtMobility.Gallery module.

Package: python-qtmobility.location
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-qtmobility-common (= ${binary:Version})
Provides: ${python:Provides}
Description: Qt4 Mobility Location - Python bindings 
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the
 QtMobility.Location module.

Package: python-qtmobility.messaging
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-qtmobility-common (= ${binary:Version})
Provides: ${python:Provides}
Description: Qt4 Mobility Messaging - Python bindings 
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the
 QtMobility.Messaging module.

Package: python-qtmobility.multimediakit
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-qtmobility-common (= ${binary:Version}), python-pyside.qtnetwork (>= 1.1.0)
Provides: ${python:Provides}
Description: Qt4 Mobility MultimediaKit - Python bindings 
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the
 QtMobility.MultimediaKit module.

Package: python-qtmobility.organizer
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-qtmobility-common (= ${binary:Version})
Provides: ${python:Provides}
Description: Qt4 Mobility Organizer - Python bindings 
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the
 QtMobility.Organizer module.

Package: python-qtmobility.publishsubscribe
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-qtmobility-common (= ${binary:Version})
Provides: ${python:Provides}
Description: Qt4 Mobility Publish and Subscribe - Python bindings 
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the
 QtMobility.PublishSubscribe module.

Package: python-qtmobility.sensors
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-qtmobility-common (= ${binary:Version})
Provides: ${python:Provides}
Description: Qt4 Mobility Sensors - Python bindings 
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the
 QtMobility.Sensors module.

Package: python-qtmobility.serviceframework
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-qtmobility-common (= ${binary:Version})
Provides: ${python:Provides}
Description: Qt4 Mobility Service Framework - Python bindings 
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the
 QtMobility.ServiceFramework module.

Package: python-qtmobility.systeminfo
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-qtmobility-common (= ${binary:Version})
Provides: ${python:Provides}
Description: Qt4 Mobility System Information - Python bindings 
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the
 QtMobility.Systeminfo module.

Package: python-qtmobility.versit
Architecture: any
Depends: ${pycmakedeps:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-qtmobility-common (= ${binary:Version})
Provides: ${python:Provides}
Description: Qt4 Mobility Versit - Python bindings 
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides Python bindings for the
 QtMobility.Versit module.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2 --buildsystem=cmake --parallel

# Python versions
PYVERSIONS=$(shell pyversions -v -r)
DEFAULT_PY=$(shell pyversions -v -d)

ifneq (,$(filter debug,$(DEB_BUILD_OPTIONS)))
	BD_DEBUG           = python-all-dbg (>= 2.6.6-3~), shiboken-dbg (>= 1.1.0), python-pyside-dbg (>= 1.1.0),
endif

ifneq (,$(filter python-pyside-dbg,$(shell dh_listpackages)))
	BUILD_DEBUG = true
	CONFIGURE2_TARGETS = $(PYVERSIONS:%=override_dh_auto_configure_dbg-%)  $(PYVERSIONS:%=override_dh_auto_configure-%)
	BUILD2_TARGETS     = $(PYVERSIONS:%=override_dh_auto_build_dbg-%)  $(PYVERSIONS:%=override_dh_auto_build-%)
	INSTALL2_TARGETS   = $(PYVERSIONS:%=override_dh_auto_install_dbg-%)    $(PYVERSIONS:%=override_dh_auto_install-%)
	TEST2_TARGETS      = $(PYVERSIONS:%=override_dh_auto_test_dbg-%)  $(PYVERSIONS:%=override_dh_auto_test-%)
	
	STRIP2_PARAMETERS  = --dbg-package=python-qtmobility-dbg --exclude=-dbg.so --exclude=_d.so
else
	CONFIGURE2_TARGETS = $(PYVERSIONS:%=override_dh_auto_configure-%)
	BUILD2_TARGETS     = $(PYVERSIONS:%=override_dh_auto_build-%)
	INSTALL2_TARGETS   = $(PYVERSIONS:%=override_dh_auto_install-%)
	TEST2_TARGETS      = $(PYVERSIONS:%=override_dh_auto_test-%)
endif

update-control:
	sed -e 's/@BD-DEBUG@/$(BD_DEBUG)/g' debian/control.in > debian/control
ifdef BD_DEBUG
	cat debian/control.dbg-packages >> debian/control
endif

#### CONFIGURE ####

override_dh_auto_configure: $(CONFIGURE2_TARGETS)

override_dh_auto_configure_dbg-%:
	mkdir -p build-$*-dbg
	dh_auto_configure -a --builddirectory=build-$*-dbg -- \
	-DCMAKE_VERBOSE_MAKEFILE=ON \
	-DCMAKE_BUILD_TYPE:STRING="Debug" \
	-DCMAKE_SKIP_RPATH=true \
	-DCMAKE_USE_PYTHON_VERSION="$*-dbg;$*_d;$*" \
	-DPython_ADDITIONAL_VERSIONS="$*-dbg;$*_d;$*" \
	-DPythonInterp_FIND_VERSION="$*-dbg;$*_d;$*" \
	-DPYTHON_BASENAME=-python$*-dbg \
	-DPYTHON_SUFFIX=-python$*-dbg

override_dh_auto_configure-%:
	mkdir -p build-$*
	dh_auto_configure -a --builddirectory=build-$* -- \
	-DCMAKE_VERBOSE_MAKEFILE=ON \
	-DCMAKE_BUILD_TYPE:STRING="Release" \
	-DCMAKE_SKIP_RPATH=true \
	-DCMAKE_USE_PYTHON_VERSION=$* \
	-DPython_ADDITIONAL_VERSIONS=$* \
	-DPythonInterp_FIND_VERSION=$* \
	-DPYTHON_BASENAME=-python$* \
	-DPYTHON_SUFFIX=-python$*

#### BUILD ####

override_dh_auto_build: $(BUILD2_TARGETS)

override_dh_auto_build_dbg-%:
	dh_auto_build -a --builddirectory=build-$*-dbg

override_dh_auto_build-%:
	dh_auto_build -a --builddirectory=build-$*

#### INSTALL ####

override_dh_auto_install: $(INSTALL2_TARGETS)

override_dh_auto_install_dbg-%:
	dh_auto_install -a --builddirectory=build-$*-dbg --destdir=debian/tmp-dbg

override_dh_auto_install-%:
	dh_auto_install -a --builddirectory=build-$*

#### STRIP ####
override_dh_strip:
	dh_strip -a $(STRIP2_PARAMETERS)

#### TEST ####
override_dh_auto_test: $(TEST2_TARGETS)

override_dh_auto_test_dbg-%:
	# Run tests in fake X Server in a non-blocking way
	- xvfb-run -a -s -noreset dh_auto_test -a --builddirectory=build-$*-dbg

override_dh_auto_test-%:
	# Run tests in fake X Server in a non-blocking way
	- xvfb-run -a -s -noreset dh_auto_test -a --builddirectory=build-$*

#### usr/share/doc/* symlinks ####
override_dh_link:
	# Replace doc directories by symlinks
	for p in `dh_listpackages -a -Npython-qtmobility-common`; do \
		rm -Rf debian/$$p/usr/share/doc/$$p; \
		ln -sf python-qtmobility-common debian/$$p/usr/share/doc/$$p ; \
	done
	dh_link

#### CLEAN ####
override_dh_auto_clean:
	rm -rf build-*
	cd tests; rm -Rf *.pyc */*.pyc */*/*.pyc */*/*/*.pyc
	- rm -rf debian/tmp-dbg

#### DEBIAN INSTALL ####

override_dh_install: override_dh_install_2

override_dh_install_1:
ifneq (,$(filter python-qtmobility-dbg, $(shell dh_listpackages)))
	# Move the debug .so's right in place
	$(shell rename 's/(debian\/tmp-dbg\/)(.*)\.so(.*)$$/debian\/tmp\/$$2_d.so$$3/'\
	             debian/tmp-dbg/usr/lib/python*/*-packages/QtMobility/*.so)
endif

override_dh_install_2: override_dh_install_1
	# Do the legacy install for the rest
	dh_install -a --list-missing

override_dh_gencontrol:
	debian/dh_pycmakedeps --modules-root=QtMobility/
	dh_gencontrol

override_dh_builddeb:
ifdef BUILD_DEBUG
	# XZ-compress the huge python-qtmobility-dbg
	dh_builddeb -ppython-qtmobility-dbg -- -Zxz
endif
	dh_builddeb --remaining-packages
